
IF OBJECT_ID('tempdb..#wrk', 'U') IS NOT NULL
BEGIN
	PRINT 'Recreating table'
	DROP TABLE #wrk
END

GO

-- Leave a transaction open on purpose
BEGIN TRAN
CREATE TABLE #wrk
(
	ID INT PRIMARY KEY IDENTITY(1,1) NOT NULL,
	SomeBigNum		BIGINT NOT NULL,
	SomeString		VARCHAR(MAX)
)

-- Report SPID so you know what SPID to kill in another session
SELECT @@SPID
GO

BEGIN TRAN

	PRINT 'INSERT a large amount of data into the work table'

	INSERT INTO #wrk(SomeBigNum, SomeString)
	SELECT TOP 100000 1234567890, 'ABCDEFGHIJ'
	FROM sys.dm_tran_locks l1, sys.dm_tran_locks l2, sys.dm_tran_locks l3, sys.dm_tran_locks l4


	PRINT 'Update the work table. Set the SomeBigNum field to a random number'
	UPDATE #wrk
	SET SomeBigNum = RAND(CAST(NEWID()AS BINARY))*ID, SomeString = REPLICATE(CAST(NEWID() AS VARCHAR(MAX)), 40)

	SELECT * 
	FROM #wrk

	DROP TABLE #wrk

COMMIT TRAN


-- Remember that you have an outstanding transaction open, commit it
COMMIT TRAN
--ROLLBACK