USE x3v6

--Get cached page count by file
SELECT 
	DB_NAME(b.database_id) DBName, 
	b.file_id, 
	(SELECT name FROM sys.database_files f WHERE f.file_id = b.file_id) LogicalName, 
	(SELECT physical_name FROM sys.database_files f WHERE f.file_id = b.file_id) FileName, 
	page_type, 
	count(*) ObjectCount
FROM sys.dm_os_buffer_descriptors b
GROUP by database_id, file_id, page_type
ORDER BY COUNT(*) desc
